---
updatedAt: 2026-05-27T08:52:35.000Z
agentTools:
  projectIndex: https://docs.tatum.io/llms.txt
---

# Get all transactions for a TRON account

<p style="display: none">/v3/tron/transaction/account/{address}</p>
<p><b>5 credits per API call</b></p>
<p>Get all transactions for a TRON account.</p>
<p>This API returns up to 200 transactions in one API call. If there are more than 200 transactions for the TRON account, the response body will contain the <code>next</code> parameter with the fingerprint of the transaction that follows the last (200<sup>th</sup>) transaction in the returned list.</p>
<p>To get the next 200 transactions, make another call using this API, but this time add the <code>next</code> parameter the endpoint URL and set it to the transaction fingerprint from the <code>next</code> parameter in the response, for example:</p>
<p><code>https://api.tatum.io/v3/tron/transaction/account/{address}?next=81d0524acf5967f3b361e03fd7d141ab511791cd7aad7ae406c4c8d408290991</code></p>


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "servers": [
    {
      "url": "https://api.tatum.io"
    }
  ],
  "info": {
    "version": "3.18.3",
    "title": "Blockchain"
  },
  "tags": [
    {
      "description": "<p>Tron Blockchain enables access to most commonly used Tron methods. It's possible to generate TRON account, send TRX, TRC10 and TRC20 assets. It's also possible to generate custom TRC10 or TRC20 tokens using API.<br/>\nTatum supports 2 chains:\n<ul><li>Mainnet - regular live chain\n<li>Shasta Testnet - test chain used for testing purposes. Coins on test chain have no value and can be obtained from\nFaucet, e.g. <a target=\"_blank\" href=\"https://www.trongrid.io/shasta/\">https://www.trongrid.io/shasta/</a></li></ul>\n",
      "name": "Tron - Tatum API"
    }
  ],
  "paths": {
    "/v3/tron/transaction/account/{address}": {
      "get": {
        "tags": [
          "Tron - Tatum API"
        ],
        "summary": "Get all transactions for a TRON account",
        "description": "<p style=\"display: none\">/v3/tron/transaction/account/{address}</p>\n<p><b>5 credits per API call</b></p>\n<p>Get all transactions for a TRON account.</p>\n<p>This API returns up to 200 transactions in one API call. If there are more than 200 transactions for the TRON account, the response body will contain the <code>next</code> parameter with the fingerprint of the transaction that follows the last (200<sup>th</sup>) transaction in the returned list.</p>\n<p>To get the next 200 transactions, make another call using this API, but this time add the <code>next</code> parameter the endpoint URL and set it to the transaction fingerprint from the <code>next</code> parameter in the response, for example:</p>\n<p><code>https://api.tatum.io/v3/tron/transaction/account/{address}?next=81d0524acf5967f3b361e03fd7d141ab511791cd7aad7ae406c4c8d408290991</code></p>\n",
        "operationId": "TronAccountTx",
        "parameters": [
          {
            "in": "path",
            "name": "address",
            "description": "The address of the TRON account to get all transactions for",
            "required": true,
            "schema": {
              "type": "string",
              "example": "TGDqQAP5bduoPKVgdbk7fGyW4DwEt3RRn8"
            }
          },
          {
            "in": "query",
            "name": "next",
            "description": "The fingerprint of the transaction that follows the last (200<sup>th</sup>) transaction in the returned list of transactions. Use it to get the next 200 transactions for the specified account (for more information, see the description of this API).",
            "required": false,
            "schema": {
              "type": "string",
              "example": "81d0524acf5967f3b361e03fd7d141ab511791cd7aad7ae406c4c8d408290991"
            }
          },
          {
            "in": "query",
            "name": "onlyConfirmed",
            "required": false,
            "description": "If true, only confirmed transactions are returned",
            "schema": {
              "type": "boolean",
              "example": false
            }
          },
          {
            "in": "query",
            "name": "onlyUnconfirmed",
            "required": false,
            "description": "If true, only unconfirmed transactions are returned",
            "schema": {
              "type": "boolean",
              "example": false
            }
          },
          {
            "in": "query",
            "name": "onlyTo",
            "required": false,
            "description": "If true, only transactions to this address are returned",
            "schema": {
              "type": "boolean",
              "example": false
            }
          },
          {
            "in": "query",
            "name": "onlyFrom",
            "required": false,
            "description": "If true, only transactions from this address are returned",
            "schema": {
              "type": "boolean",
              "example": false
            }
          },
          {
            "in": "query",
            "name": "orderBy",
            "required": false,
            "description": "Order of the returned transactions",
            "schema": {
              "type": "string",
              "enum": [
                "block_timestamp,asc",
                "block_timestamp,desc"
              ],
              "example": "block_timestamp,desc"
            }
          },
          {
            "in": "query",
            "name": "minTimestamp",
            "required": false,
            "description": "Minimum block_timestamp, default is 0",
            "schema": {
              "type": "number",
              "example": 1674416039000
            }
          },
          {
            "in": "query",
            "name": "maxTimestamp",
            "required": false,
            "description": "Maximum block_timestamp, default is now",
            "schema": {
              "type": "number",
              "example": 1674416039000
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "transactions"
                  ],
                  "properties": {
                    "next": {
                      "type": "string",
                      "description": "If present, there are more transactions for the TRON account than the 200 transactions returned in the response, and this parameter specifies the fingerprint of the transaction that follows the last (200<sup>th</sup>) transaction in the returned list of transactions. Use it to get the next 200 transactions for the specified account (for more information, see the description of this API).",
                      "example": "81d0524acf5967f3b361e03fd7d141ab511791cd7aad7ae406c4c8d408290991"
                    },
                    "transactions": {
                      "type": "array",
                      "description": "The list of transactions for the specified TRON account",
                      "items": {
                        "$ref": "#/components/schemas/TronTx"
                      }
                    }
                  }
                }
              }
            },
            "description": "OK"
          },
          "400": {
            "$ref": "#/components/responses/Error400"
          },
          "401": {
            "$ref": "#/components/responses/Error401"
          },
          "403": {
            "description": "Forbidden. The request is authenticated, but it is not possible to required perform operation due to logical error or invalid permissions.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error403Tron"
                }
              }
            }
          },
          "500": {
            "$ref": "#/components/responses/Error500"
          }
        },
        "security": [
          {
            "X-API-Key": []
          }
        ],
        "x-codeSamples": []
      }
    }
  },
  "components": {
    "schemas": {
      "Error400": {
        "properties": {
          "errorCode": {
            "example": "validation.failed",
            "description": "validation.failed",
            "type": "string"
          },
          "message": {
            "example": "Request validation failed. Please see data for additional information.",
            "description": "Request validation failed. Please see data for additional information.",
            "type": "string"
          },
          "statusCode": {
            "example": 400,
            "description": "400",
            "type": "number"
          },
          "data": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "target"
              ],
              "properties": {
                "target": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Request object present in the body of the HTTP request",
                  "example": {
                    "property": 12345
                  }
                },
                "value": {
                  "type": "number",
                  "description": "Value of the target object which validation is wrong. Can be of any data type, example here is using type number.",
                  "example": 12345
                },
                "property": {
                  "type": "string",
                  "description": "Property name of the target object which validation is wrong",
                  "example": "property1"
                },
                "constraints": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Object of failed constraints for the target object. Key is the constraint, value is detailed description of the failed constraint.",
                  "example": {
                    "min": "property1 must not be less than 50000"
                  }
                }
              }
            }
          }
        },
        "required": [
          "errorCode",
          "message",
          "statusCode",
          "data"
        ],
        "type": "object"
      },
      "Error401Invalid": {
        "properties": {
          "errorCode": {
            "example": "subscription.invalid",
            "description": "subscription.invalid",
            "type": "string"
          },
          "message": {
            "example": "Unable to find valid subscription for '${apiKey}'",
            "description": "Unable to find valid subscription for '${apiKey}'",
            "type": "string"
          },
          "statusCode": {
            "example": 401,
            "description": "401",
            "type": "number"
          }
        },
        "required": [
          "errorCode",
          "message",
          "statusCode"
        ],
        "type": "object"
      },
      "Error401NotActive": {
        "properties": {
          "errorCode": {
            "example": "subscription.not.active",
            "description": "subscription.not.active",
            "type": "string"
          },
          "message": {
            "example": "Subscription not active anymore.",
            "description": "Subscription not active anymore.",
            "type": "string"
          },
          "statusCode": {
            "example": 401,
            "description": "401",
            "type": "number"
          }
        },
        "required": [
          "errorCode",
          "message",
          "statusCode"
        ],
        "type": "object"
      },
      "Error500": {
        "properties": {
          "message": {
            "example": "Internal server error",
            "description": "Internal server error",
            "type": "string"
          },
          "statusCode": {
            "example": 500,
            "description": "500",
            "type": "number"
          }
        },
        "required": [
          "statusCode",
          "message"
        ],
        "type": "object"
      },
      "Error403Tron": {
        "properties": {
          "errorCode": {
            "description": "tron.failed",
            "example": "tron.failed",
            "type": "string"
          },
          "message": {
            "description": "Unable to communicate to blockchain. ${error}",
            "example": "Unable to communicate to blockchain. ${error}",
            "type": "string"
          },
          "statusCode": {
            "description": "403",
            "example": 403,
            "type": "number"
          }
        },
        "required": [
          "errorCode",
          "message",
          "statusCode"
        ],
        "type": "object"
      },
      "TronTx": {
        "type": "object",
        "required": [
          "txID",
          "signature",
          "blockNumber",
          "ret",
          "rawData"
        ],
        "properties": {
          "ret": {
            "type": "array",
            "description": "Result of the smart contract invocation.",
            "items": {
              "properties": {
                "contractRet": {
                  "type": "string",
                  "description": "Returns the value of the smart contract invocation.",
                  "example": "SUCCESS"
                }
              }
            },
            "required": [
              "contractRet"
            ]
          },
          "signature": {
            "type": "array",
            "description": "List of signatures of the transaction.",
            "items": {
              "type": "string",
              "example": "91fa5d81f9578970d21fdcde4ebb849674d437b62774f34e8d9e4cb50960c0031362cbcb649553b1f5f9daf19495ae46e517d4401172b5e53bb06bfe6896e2e300"
            }
          },
          "blockNumber": {
            "type": "number",
            "description": "The block in which the transaction was included.",
            "example": 11223344
          },
          "txID": {
            "type": "string",
            "description": "Transaction ID.",
            "example": "24dd2f121a24516f22df78adf1ccc32119e3edb7760297f76a925b879f2baa98"
          },
          "netUsage": {
            "type": "number",
            "description": "Usage of the network.",
            "example": 0
          },
          "rawData": {
            "type": "object",
            "description": "Raw data of the transaction.",
            "required": [
              "expiration",
              "contract"
            ],
            "properties": {
              "contract": {
                "type": "array",
                "description": "Smart contract invocations details.",
                "items": {
                  "type": "object",
                  "properties": {
                    "parameter": {
                      "type": "object",
                      "properties": {
                        "value": {
                          "type": "object",
                          "properties": {
                            "data": {
                              "type": "string",
                              "format": "hex",
                              "description": "The amount transferred within the transaction.",
                              "example": "0x000002e917e68b4e"
                            },
                            "amount": {
                              "type": "number",
                              "description": "The amount transferred within the transaction.",
                              "example": 1000000
                            },
                            "owner_address": {
                              "type": "string",
                              "example": "418632237fd33f62c549ee044dd3da779aba947dcc",
                              "description": "Address of the sender."
                            },
                            "to_address": {
                              "type": "string",
                              "description": "Address of the recipient.",
                              "example": "41a614f803b6fd780986a42c78ec9c7f77e6ded13c"
                            },
                            "ownerAddressBase58": {
                              "type": "string",
                              "example": "TNCmcTdyrYKMtmE1KU2itzeCX76jGm5Not",
                              "description": "Address of the sender in Base58 encoding."
                            },
                            "toAddressBase58": {
                              "type": "string",
                              "example": "TRwS7apsNdRGzMBfhB2hVC4RhqfubUYZ8P",
                              "description": "Address of the recipient in Base58 encoding."
                            }
                          }
                        },
                        "type_url": {
                          "type": "string",
                          "example": "type.googleapis.com/protocol.TriggerSmartContract",
                          "description": "Type of the smart contract event."
                        }
                      }
                    },
                    "type": {
                      "example": "TriggerSmartContract",
                      "type": "string",
                      "description": "Type of the Smart contract."
                    }
                  }
                }
              },
              "ref_block_bytes": {
                "type": "number",
                "description": "The height of the transaction reference block.",
                "example": 4946
              },
              "ref_block_hash": {
                "type": "number",
                "description": "The hash of the transaction reference block.",
                "example": "6d0c1a0af5a52f17"
              },
              "expiration": {
                "description": "Expiration of the transaction.",
                "type": "number",
                "example": 1610067216000
              },
              "timestamp": {
                "description": "Time of the transaction.",
                "type": "number",
                "example": 1609980816000
              }
            }
          }
        }
      }
    },
    "responses": {
      "Error400": {
        "description": "Bad Request",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error400"
            }
          }
        }
      },
      "Error401": {
        "description": "Unauthorized. Not valid or inactive subscription key present in the HTTP Header.",
        "content": {
          "application/json": {
            "schema": {
              "oneOf": [
                {
                  "$ref": "#/components/schemas/Error401NotActive"
                },
                {
                  "$ref": "#/components/schemas/Error401Invalid"
                }
              ]
            }
          }
        }
      },
      "Error500": {
        "description": "Internal server error. There was an error on the server during the processing of the request.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/Error500"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "X-API-Key": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "description": "Your **API key** is used to identify your account & your plan, including the number of API calls per second and total monthly calls you have.\n\nEach key is for individual use only.\n\nIf you don't have a key already you can [Sign up for a Free Tatum account](https://co.tatum.io/signup) to get two keys (testnet and mainnet), allowing up to 5 API calls per second and 1,000,000 Credits.\n\nFor testing purposes, you can use the following key which only works inside docs and has limited functionality (e.g. you cannot create virtual accounts or notification subscriptions with it):\n* t-66a730ccccfd17001c479705-2f597d14ad7543f289a03418\n\nFor more details on limits and plans, [click here](https://docs.tatum.io/docs/plans-limits).\n"
      }
    }
  }
}
```